kind: Pod
apiVersion: v1
metadata:
  generateName: virt-launcher-centos-stream9-brown-woodpecker-43-
  annotations:
    kubevirt.io/migrationTransportUnix: 'true'
    openshift.io/scc: kubevirt-controller
    kubevirt.io/domain: centos-stream9-brown-woodpecker-43
    traffic.sidecar.istio.io/kubevirtInterfaces: k6t-eth0
    k8s.ovn.org/pod-networks: '{"default":{"ip_addresses":["10.129.2.81/23"],"mac_address":"0a:58:0a:81:02:51","routes":[{"dest":"10.128.0.0/14","nextHop":"10.129.2.1"},{"dest":"100.64.0.0/16","nextHop":"10.129.2.1"}],"ip_address":"10.129.2.81/23","role":"infrastructure-locked"},"radek-passt/primary-udn":{"ip_addresses":["192.168.10.16/24"],"mac_address":"0a:58:c0:a8:0a:10","gateway_ips":["192.168.10.1"],"routes":[{"dest":"172.30.0.0/16","nextHop":"192.168.10.1"},{"dest":"100.65.0.0/16","nextHop":"192.168.10.1"}],"ip_address":"192.168.10.16/24","gateway_ip":"192.168.10.1","tunnel_id":108,"role":"primary"}}'
    kubevirt.io/cluster-preference-name: centos.stream9
    kubevirt.io/vm-generation: '1'
    post.hook.backup.velero.io/container: compute
    descheduler.alpha.kubernetes.io/request-evict-only: ''
    seccomp.security.alpha.kubernetes.io/pod: localhost/kubevirt/kubevirt.json
    kubectl.kubernetes.io/default-container: compute
    k8s.v1.cni.cncf.io/network-status: |-
      [{
          "name": "ovn-kubernetes",
          "interface": "eth0",
          "ips": [
              "10.129.2.81"
          ],
          "mac": "0a:58:0a:81:02:51",
          "dns": {}
      },{
          "name": "ovn-kubernetes",
          "interface": "ovn-udn1",
          "ips": [
              "192.168.10.16"
          ],
          "mac": "0a:58:c0:a8:0a:10",
          "default": true,
          "dns": {}
      }]
    pre.hook.backup.velero.io/container: compute
    k8s.ovn.org/primary-udn-ipamclaim: centos-stream9-brown-woodpecker-43.default
    vm.kubevirt.io/os: linux
    kubevirt.io/cluster-instancetype-name: u1.medium
    security.openshift.io/validated-scc-subject-type: user
    post.hook.backup.velero.io/command: '["/usr/bin/virt-freezer", "--unfreeze", "--name", "centos-stream9-brown-woodpecker-43", "--namespace", "radek-passt"]'
    pre.hook.backup.velero.io/command: '["/usr/bin/virt-freezer", "--freeze", "--name", "centos-stream9-brown-woodpecker-43", "--namespace", "radek-passt"]'
  resourceVersion: '20700431'
  name: virt-launcher-centos-stream9-brown-woodpecker-43-hdbxv
  uid: da78dd50-c15f-403f-b4d8-bf805a18bf26
  creationTimestamp: '2025-08-26T09:54:50Z'
  generation: 1
  managedFields:
    - manager: uit-420-0811-ldffx-master-2
      operation: Update
      apiVersion: v1
      time: '2025-08-26T09:54:50Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:k8s.ovn.org/pod-networks': {}
      subresource: status
    - manager: virt-controller
      operation: Update
      apiVersion: v1
      time: '2025-08-26T09:54:50Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:conditions':
            'k:{"type":"kubevirt.io/virtual-machine-unpaused"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
      subresource: status
    - manager: multus-daemon
      operation: Update
      apiVersion: v1
      time: '2025-08-26T09:54:59Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:k8s.v1.cni.cncf.io/network-status': {}
      subresource: status
    - manager: kubelet
      operation: Update
      apiVersion: v1
      time: '2025-08-26T09:55:01Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:conditions':
            'k:{"type":"ContainersReady"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"Initialized"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"PodReadyToStartContainers"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"Ready"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:status': {}
              'f:type': {}
          'f:containerStatuses': {}
          'f:hostIP': {}
          'f:hostIPs': {}
          'f:phase': {}
          'f:podIP': {}
          'f:podIPs':
            .: {}
            'k:{"ip":"10.129.2.81"}':
              .: {}
              'f:ip': {}
          'f:startTime': {}
      subresource: status
    - manager: virt-controller
      operation: Update
      apiVersion: v1
      time: '2025-08-26T09:55:01Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:kubectl.kubernetes.io/default-container': {}
            'f:pre.hook.backup.velero.io/container': {}
            'f:vm.kubevirt.io/os': {}
            'f:kubevirt.io/cluster-instancetype-name': {}
            'f:post.hook.backup.velero.io/container': {}
            'f:descheduler.alpha.kubernetes.io/request-evict-only': {}
            'f:pre.hook.backup.velero.io/command': {}
            .: {}
            'f:post.hook.backup.velero.io/command': {}
            'f:traffic.sidecar.istio.io/kubevirtInterfaces': {}
            'f:kubevirt.io/migrationTransportUnix': {}
            'f:kubevirt.io/domain': {}
            'f:kubevirt.io/cluster-preference-name': {}
            'f:kubevirt.io/vm-generation': {}
          'f:generateName': {}
          'f:labels':
            .: {}
            'f:kubevirt.io': {}
            'f:kubevirt.io/created-by': {}
            'f:kubevirt.io/nodeName': {}
            'f:vm.kubevirt.io/name': {}
          'f:ownerReferences':
            .: {}
            'k:{"uid":"5b0936ad-4f72-433c-8541-3f412a75b1d0"}': {}
        'f:spec':
          'f:volumes':
            'k:{"name":"rootdisk"}':
              .: {}
              'f:name': {}
              'f:persistentVolumeClaim':
                .: {}
                'f:claimName': {}
            'k:{"name":"virt-bin-share-dir"}':
              .: {}
              'f:emptyDir': {}
              'f:name': {}
            'k:{"name":"public"}':
              .: {}
              'f:emptyDir': {}
              'f:name': {}
            .: {}
            'k:{"name":"sockets"}':
              .: {}
              'f:emptyDir': {}
              'f:name': {}
            'k:{"name":"private"}':
              .: {}
              'f:emptyDir': {}
              'f:name': {}
            'k:{"name":"hotplug-disks"}':
              .: {}
              'f:emptyDir': {}
              'f:name': {}
            'k:{"name":"libvirt-runtime"}':
              .: {}
              'f:emptyDir': {}
              'f:name': {}
            'k:{"name":"ephemeral-disks"}':
              .: {}
              'f:emptyDir': {}
              'f:name': {}
            'k:{"name":"container-disks"}':
              .: {}
              'f:emptyDir': {}
              'f:name': {}
          'f:containers':
            'k:{"name":"compute"}':
              'f:image': {}
              'f:volumeMounts':
                .: {}
                'k:{"mountPath":"/var/run/kubevirt"}':
                  .: {}
                  'f:mountPath': {}
                  'f:name': {}
                'k:{"mountPath":"/var/run/kubevirt-ephemeral-disks"}':
                  .: {}
                  'f:mountPath': {}
                  'f:name': {}
                'k:{"mountPath":"/var/run/kubevirt-private"}':
                  .: {}
                  'f:mountPath': {}
                  'f:name': {}
                'k:{"mountPath":"/var/run/kubevirt/container-disks"}':
                  .: {}
                  'f:mountPath': {}
                  'f:mountPropagation': {}
                  'f:name': {}
                'k:{"mountPath":"/var/run/kubevirt/hotplug-disks"}':
                  .: {}
                  'f:mountPath': {}
                  'f:mountPropagation': {}
                  'f:name': {}
                'k:{"mountPath":"/var/run/kubevirt/sockets"}':
                  .: {}
                  'f:mountPath': {}
                  'f:name': {}
                'k:{"mountPath":"/var/run/libvirt"}':
                  .: {}
                  'f:mountPath': {}
                  'f:name': {}
              'f:terminationMessagePolicy': {}
              .: {}
              'f:volumeDevices':
                .: {}
                'k:{"devicePath":"/dev/rootdisk"}':
                  .: {}
                  'f:devicePath': {}
                  'f:name': {}
              'f:resources':
                .: {}
                'f:limits':
                  .: {}
                  'f:devices.kubevirt.io/kvm': {}
                  'f:devices.kubevirt.io/tun': {}
                  'f:devices.kubevirt.io/vhost-net': {}
                'f:requests':
                  .: {}
                  'f:cpu': {}
                  'f:devices.kubevirt.io/kvm': {}
                  'f:devices.kubevirt.io/tun': {}
                  'f:devices.kubevirt.io/vhost-net': {}
                  'f:ephemeral-storage': {}
                  'f:memory': {}
              'f:command': {}
              'f:env':
                .: {}
                'k:{"name":"POD_NAME"}':
                  .: {}
                  'f:name': {}
                  'f:valueFrom':
                    .: {}
                    'f:fieldRef': {}
                'k:{"name":"XDG_CACHE_HOME"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
                'k:{"name":"XDG_CONFIG_HOME"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
                'k:{"name":"XDG_RUNTIME_DIR"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
              'f:securityContext':
                .: {}
                'f:allowPrivilegeEscalation': {}
                'f:capabilities':
                  .: {}
                  'f:add': {}
                  'f:drop': {}
                'f:privileged': {}
                'f:runAsGroup': {}
                'f:runAsNonRoot': {}
                'f:runAsUser': {}
              'f:terminationMessagePath': {}
              'f:imagePullPolicy': {}
              'f:name': {}
          'f:hostname': {}
          'f:dnsPolicy': {}
          'f:automountServiceAccountToken': {}
          'f:restartPolicy': {}
          'f:subdomain': {}
          'f:schedulerName': {}
          'f:readinessGates': {}
          'f:nodeSelector': {}
          'f:terminationGracePeriodSeconds': {}
          'f:enableServiceLinks': {}
          'f:securityContext':
            .: {}
            'f:fsGroup': {}
            'f:runAsGroup': {}
            'f:runAsNonRoot': {}
            'f:runAsUser': {}
            'f:seccompProfile':
              .: {}
              'f:localhostProfile': {}
              'f:type': {}
          'f:affinity':
            .: {}
            'f:nodeAffinity':
              .: {}
              'f:requiredDuringSchedulingIgnoredDuringExecution': {}
  namespace: radek-passt
  ownerReferences:
    - apiVersion: kubevirt.io/v1
      kind: VirtualMachineInstance
      name: centos-stream9-brown-woodpecker-43
      uid: 5b0936ad-4f72-433c-8541-3f412a75b1d0
      controller: true
      blockOwnerDeletion: true
  labels:
    kubevirt.io: virt-launcher
    kubevirt.io/created-by: 5b0936ad-4f72-433c-8541-3f412a75b1d0
    kubevirt.io/nodeName: uit-420-0811-ldffx-worker-0-99t8v
    vm.kubevirt.io/name: centos-stream9-brown-woodpecker-43
spec:
  nodeSelector:
    kubernetes.io/arch: amd64
    kubevirt.io/schedulable: 'true'
    machine-type.node.kubevirt.io/pc-q35-rhel9.6.0: 'true'
  restartPolicy: Never
  serviceAccountName: default
  imagePullSecrets:
    - name: default-dockercfg-fbd2v
  priority: 0
  subdomain: headless
  schedulerName: default-scheduler
  enableServiceLinks: false
  affinity:
    nodeAffinity:
      requiredDuringSchedulingIgnoredDuringExecution:
        nodeSelectorTerms:
          - matchExpressions:
              - key: node-labeller.kubevirt.io/obsolete-host-model
                operator: DoesNotExist
  terminationGracePeriodSeconds: 60
  preemptionPolicy: PreemptLowerPriority
  nodeName: uit-420-0811-ldffx-worker-0-99t8v
  securityContext:
    runAsUser: 107
    runAsGroup: 107
    runAsNonRoot: true
    fsGroup: 107
    seccompProfile:
      type: Localhost
      localhostProfile: kubevirt/kubevirt.json
  containers:
    - volumeDevices:
        - name: rootdisk
          devicePath: /dev/rootdisk
      resources:
        limits:
          devices.kubevirt.io/kvm: '1'
          devices.kubevirt.io/tun: '1'
          devices.kubevirt.io/vhost-net: '1'
        requests:
          cpu: 100m
          devices.kubevirt.io/kvm: '1'
          devices.kubevirt.io/tun: '1'
          devices.kubevirt.io/vhost-net: '1'
          ephemeral-storage: 50M
          memory: '4584374273'
      terminationMessagePath: /dev/termination-log
      name: compute
      command:
        - /usr/bin/virt-launcher-monitor
        - '--qemu-timeout'
        - 267s
        - '--name'
        - centos-stream9-brown-woodpecker-43
        - '--uid'
        - 5b0936ad-4f72-433c-8541-3f412a75b1d0
        - '--namespace'
        - radek-passt
        - '--kubevirt-share-dir'
        - /var/run/kubevirt
        - '--ephemeral-disk-dir'
        - /var/run/kubevirt-ephemeral-disks
        - '--container-disk-dir'
        - /var/run/kubevirt/container-disks
        - '--grace-period-seconds'
        - '45'
        - '--hook-sidecars'
        - '0'
        - '--ovmf-path'
        - /usr/share/OVMF
        - '--disk-memory-limit'
        - '2000000000'
        - '--run-as-nonroot'
      env:
        - name: XDG_CACHE_HOME
          value: /var/run/kubevirt-private
        - name: XDG_CONFIG_HOME
          value: /var/run/kubevirt-private
        - name: XDG_RUNTIME_DIR
          value: /var/run
        - name: POD_NAME
          valueFrom:
            fieldRef:
              apiVersion: v1
              fieldPath: metadata.name
      securityContext:
        capabilities:
          add:
            - NET_BIND_SERVICE
          drop:
            - ALL
        privileged: false
        runAsUser: 107
        runAsGroup: 107
        runAsNonRoot: true
        allowPrivilegeEscalation: false
      imagePullPolicy: IfNotPresent
      volumeMounts:
        - name: private
          mountPath: /var/run/kubevirt-private
        - name: public
          mountPath: /var/run/kubevirt
        - name: ephemeral-disks
          mountPath: /var/run/kubevirt-ephemeral-disks
        - name: libvirt-runtime
          mountPath: /var/run/libvirt
        - name: sockets
          mountPath: /var/run/kubevirt/sockets
        - name: container-disks
          mountPath: /var/run/kubevirt/container-disks
          mountPropagation: HostToContainer
        - name: hotplug-disks
          mountPath: /var/run/kubevirt/hotplug-disks
          mountPropagation: HostToContainer
      terminationMessagePolicy: FallbackToLogsOnError
      image: 'registry.redhat.io/container-native-virtualization/virt-launcher-rhel9@sha256:3d619787d670d9b026aae66c8ad0b31a87389ee33165e3e189b71a2b62878e3b'
  hostname: centos-stream9-brown-woodpecker-43
  automountServiceAccountToken: false
  serviceAccount: default
  volumes:
    - name: private
      emptyDir: {}
    - name: public
      emptyDir: {}
    - name: sockets
      emptyDir: {}
    - name: virt-bin-share-dir
      emptyDir: {}
    - name: libvirt-runtime
      emptyDir: {}
    - name: ephemeral-disks
      emptyDir: {}
    - name: container-disks
      emptyDir: {}
    - name: rootdisk
      persistentVolumeClaim:
        claimName: centos-stream9-brown-woodpecker-43-volume
    - name: hotplug-disks
      emptyDir: {}
  dnsPolicy: ClusterFirst
  tolerations:
    - key: node.kubernetes.io/not-ready
      operator: Exists
      effect: NoExecute
      tolerationSeconds: 300
    - key: node.kubernetes.io/unreachable
      operator: Exists
      effect: NoExecute
      tolerationSeconds: 300
    - key: node.kubernetes.io/memory-pressure
      operator: Exists
      effect: NoSchedule
  readinessGates:
    - conditionType: kubevirt.io/virtual-machine-unpaused
status:
  containerStatuses:
    - restartCount: 0
      started: true
      ready: true
      resources:
        limits:
          devices.kubevirt.io/kvm: '1'
          devices.kubevirt.io/tun: '1'
          devices.kubevirt.io/vhost-net: '1'
        requests:
          cpu: 100m
          devices.kubevirt.io/kvm: '1'
          devices.kubevirt.io/tun: '1'
          devices.kubevirt.io/vhost-net: '1'
          ephemeral-storage: 50M
          memory: '4584374273'
      name: compute
      user:
        linux:
          uid: 107
          gid: 107
          supplementalGroups:
            - 107
            - 36
      state:
        running:
          startedAt: '2025-08-26T09:55:00Z'
      volumeMounts:
        - name: private
          mountPath: /var/run/kubevirt-private
        - name: public
          mountPath: /var/run/kubevirt
        - name: ephemeral-disks
          mountPath: /var/run/kubevirt-ephemeral-disks
        - name: libvirt-runtime
          mountPath: /var/run/libvirt
        - name: sockets
          mountPath: /var/run/kubevirt/sockets
        - name: container-disks
          mountPath: /var/run/kubevirt/container-disks
        - name: hotplug-disks
          mountPath: /var/run/kubevirt/hotplug-disks
      imageID: 'registry.redhat.io/container-native-virtualization/virt-launcher-rhel9@sha256:3d619787d670d9b026aae66c8ad0b31a87389ee33165e3e189b71a2b62878e3b'
      image: 'registry.redhat.io/container-native-virtualization/virt-launcher-rhel9@sha256:3d619787d670d9b026aae66c8ad0b31a87389ee33165e3e189b71a2b62878e3b'
      lastState: {}
      containerID: 'cri-o://ae8f97b37dc5221c4f008b168a356f32643e0a5f4eb16435bb5fc5ca6ff517b6'
      allocatedResources:
        cpu: 100m
        devices.kubevirt.io/kvm: '1'
        devices.kubevirt.io/tun: '1'
        devices.kubevirt.io/vhost-net: '1'
        ephemeral-storage: 50M
        memory: '4584374273'
  qosClass: Burstable
  hostIPs:
    - ip: 192.168.1.169
  podIPs:
    - ip: 10.129.2.81
  podIP: 10.129.2.81
  hostIP: 192.168.1.169
  startTime: '2025-08-26T09:54:50Z'
  conditions:
    - type: kubevirt.io/virtual-machine-unpaused
      status: 'True'
      lastProbeTime: '2025-08-26T09:54:50Z'
      lastTransitionTime: '2025-08-26T09:54:50Z'
      reason: NotPaused
      message: the virtual machine is not paused
    - type: PodReadyToStartContainers
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2025-08-26T09:55:01Z'
    - type: Initialized
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2025-08-26T09:54:50Z'
    - type: Ready
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2025-08-26T09:55:01Z'
    - type: ContainersReady
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2025-08-26T09:55:01Z'
    - type: PodScheduled
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2025-08-26T09:54:50Z'
  phase: Running

